Bug 152407 - CVE-2005-0815 isofs range checking flaws
Summary: CVE-2005-0815 isofs range checking flaws
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: public=20050317,source=bugtraq,report...
Keywords: Security
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-03-29 10:26 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0191
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 17:54:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0191 normal SHIPPED_LIVE Important: kernel security update 2006-02-01 05:00:00 UTC

Description Mark J. Cox 2005-03-29 10:26:55 UTC
Michal Zalewski discovered some flaws in the iso9660 filesystem.  These flaws
could allow a malicious iso filesystem to cause a DoS or potentially execute
arbitrary code if mounted/examined.  Rated as a moderate severity issue as
requires a local user who has permissions to mount a filesystem (or physical
access to the console).

http://marc.theaimsgroup.com/?l=bugtraq&m=111110067304783

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244beb4CNM5FJ-dSQjYbDZ1wJ2yNQ
fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244be82bvD-_7wwLkYa0visB12aEw
fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bedbODYVU4s1YAGRvZSt28TAgA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a3d91w2q8hQzZefX9zsDlTlJtA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a3aeRsXj7r4AC7s1QgPvWpjtoA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a417jb-ZTWgax2mcR2so3l3KaQ

Comment 6 Red Hat Bugzilla 2006-02-01 17:54:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html



Note You need to log in before you can comment on or make changes to this bug.